.header {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: white;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.05);
    z-index: 1000;
}

.nav {
    max-width: 1200px;
    margin: 0 auto;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav_container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* Logo */

.nav_logo a {
    display: flex;
    align-items: center;
    gap: 0.6rem;
    text-decoration: none;
}

.logo {
    height: 40px;
    width: auto;
}

.logo_text {
    font-size: 1.3rem;
    font-weight: 700;
    color: #7c3aed;
}

/* SECCIONES ETIQUETAS a y li */

.nav_menu {
    display: flex;
    gap: 2rem;
    list-style: none;
}

.nav_link {
    text-decoration: none;
    color: #333;
    font-weight: 500;
    transition: 0.3s ease;
}

.nav_link:hover {
    color: #7c3aed;
}

/* BOTON DEL MENU */

.btn_menu {
    background: linear-gradient(135deg, #7c3aed, #a855f7);
    color: white;
    padding: 0.6rem 1.5rem;
    border-radius: 10px;
    text-decoration: none;
    font-weight: 600;
    transition: 0.3s ease;
}

.btn_menu:hover {
    background: linear-gradient(135deg, #7c3aed, #a855f7, #c084fc);
    transform: translateY(-3px);
    box-shadow: 0 2px 5px rgba(124, 58, 237, 0.4);
}

@media (max-width: 1024px){

    .nav_menu{
        gap: 1.5rem;
    }

    .logo_text{
        font-size: 1.2rem;
    }

}

@media (max-width: 768px){

    .nav_menu{
        position: absolute;
        top: 70px;
        left: 0;
        width: 100%;
        background: white;

        flex-direction: column;
        align-items: center;
        gap: 1.5rem;

        padding: 2rem 0;

        box-shadow: 0 10px 25px rgba(0,0,0,0.08);

        transform: translateY(-200%);
        transition: 0.4s ease;
    }

    .nav_menu.active{
        transform: translateY(0);
    }

    .btn_menu{
        display: none;
    }

}

.menu_toggle{
    display: none;
    cursor: pointer;
}

@media (max-width: 768px){

    .menu_toggle{
        display: block;
        font-size: 1.8rem;
    }

}